Cisco ICM Setup Manager Agent.exe HandleUpgradeAll Remote Code Execution Vulnerability

2010-11-07T00:00:00
ID ZDI-10-232
Type zdi
Reporter sb
Modified 2010-06-22T00:00:00

Description

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Cisco ICM. Authentication is not required to exploit this vulnerability. The flaw exists within the Agent.exe component which listens by default on TCP port 40078. When processing the HandleUpgradeAll packet type an unchecked copy of user supplied data is performed into a stack-based buffer of a controlled size. Successful exploitation of this vulnerability leads to remote code execution under the context of the SYSTEM user.